Subject: Re: [Bitcoin-development] Seeking advice: Encouraging bug-fixing over new features

From: Joel Joonatan Kaartinen <[email-masked]>
Date: Wed, 27 Jul 2011 20:15:44 +0300

When I first found bitcoin, I was a bit surprised there were no paid by
community developers working on it. However, the bounties would be a
more democratic way of guiding the progress as well as allow things to
happen without a stable flow of money.

Having said that, if it's feasible, having someone hired full time to
work on the software would be great. I'm too much of a newcomer myself
to be able to provide any financial support for that though. I could
most likely contribute towards some bug bounties but if there was a bug
I'd want to offer bounty for, I'd be fixing it myself already.

- Joel

On Wed, 2011-07-27 at 09:07 -0700, Rick Wesson wrote:
> personally, if the software works better (less bugs) then btc will be
> more valuable. offering bounty is orthorginal to finding the right
> technical lead that will hurd the effort.
> 
> 
> put a bounty (salary) on the person to lead the effort, not the bugs
> 
> 
> -rick
> 
> 
> On Wed, Jul 27, 2011 at 7:28 AM, Luke-Jr <[email-masked]> wrote:
>         On Wednesday, July 27, 2011 10:20:07 AM John Smith wrote:
>         > On Wed, Jul 27, 2011 at 11:14 AM, Joel Joonatan Kaartinen
>         > <[email-masked]> wrote:
>         > > Perhaps even add a way for anyone add to the bounty
>         attached to a bug on
>         > > the bug tracker? Also, a listing page for bugs with their
>         bounties might
>         > > be nice too.
>         >
>         > Good idea. I'm not sure if the github bug tracker supports
>         extension
>         > attributes, but it'd be a great place to add it. Also,
>         people can let know
>         > that they're already working on a feature using a comment,
>         to prevent
>         > double work.
>         
>         
>         I'm not sure a few small bounties would justify agreeing to
>         GitHub's steep
>         demand for potentially unlimited money in their terms of
>         service...
>         
>         
>         ------------------------------------------------------------------------------
>         Got Input?   Slashdot Needs You.
>         Take our quick survey online.  Come on, we don't ask for help
>         often.
>         Plus, you'll get a chance to win $100 to spend on ThinkGeek.
>         http://p.sf.net/sfu/slashdot-survey
>         _______________________________________________
>         Bitcoin-development mailing list
>         [email-masked]
>         https://lists.sourceforge.net/lists/listinfo/bitcoin-development
>         
> 
> 
> ------------------------------------------------------------------------------
> Got Input?   Slashdot Needs You.
> Take our quick survey online.  Come on, we don't ask for help often.
> Plus, you'll get a chance to win $100 to spend on ThinkGeek.
> http://p.sf.net/sfu/slashdot-survey
> _______________________________________________ Bitcoin-development mailing list [email-masked] https://lists.sourceforge.net/lists/listinfo/bitcoin-development